* {
    box-sizing: border-box;
  }
  
  body {
    /* position: relative; */
    background-color: #FF5722;
  }
  
  .title {
    color: #ffffff;
    text-align: center;
    font-weight: 100;
  }
  
  .wrapper {
    height: 520px;
    width: 320px;
    overflow: hidden;
    background-color: white;
    position: fixed;
    top: 100px;
    left: 50%;
    -webkit-transform: translateX(-50%);
            transform: translateX(-50%);
    box-shadow: 0px 3px 3px 0px rgba(50, 50, 50, 0.5);
    -webkit-transition: 0.3s ease;
    transition: 0.3s ease;
  }
  .wrapper .inner {
    overflow: scroll;
    height: 520px;
    padding-top: 64px;
    background: #f2f2f2;
    -ms-overflow-style: none;
    overflow: -moz-scrollbars-none;
  }
  .wrapper .inner::-webkit-scrollbar {
    width: 0 !important;
  }
  .wrapper .inner .content {
    padding: 10.6666666667px;
    position: relative;
    margin-bottom: 32px;
  }
  
  .nav {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: 64px;
    z-index: 100;
    -webkit-transition: 0.3s ease;
    transition: 0.3s ease;
  }
  .nav .default-nav {
    height: 64px;
    width: 100%;
    position: absolute;
    left: 0;
    top: 0;
    z-index: 110;
    background-color: #F44336;
    border-bottom: 3px solid #ea1c0d;
    color: #ffffff;
    box-shadow: 0px 3px 3px 0px rgba(50, 50, 50, 0.1);
    -webkit-transition: 0.3s ease;
    transition: 0.3s ease;
  }
  .nav .default-nav .main-nav {
    position: absolute;
    left: 0;
    width: 100%;
    height: 64px;
    top: 0;
    margin: 0;
    padding: 0;
    list-style: none;
    -webkit-transition: 0.3s ease;
    transition: 0.3s ease;
  }
  .nav .default-nav .main-nav .toggle {
    height: 32px;
    width: 32px;
    background: url(https://s3-us-west-2.amazonaws.com/s.cdpn.io/104946/ic_arrow_back_white_48dp.png);
    background-size: contain;
    margin: 16px;
    float: left;
  }
  .nav .default-nav .main-nav .toggle:hover {
    cursor: pointer;
  }
  .nav .default-nav .main-nav .options {
    height: 32px;
    width: 32px;
    background: url(https://s3-us-west-2.amazonaws.com/s.cdpn.io/104946/ic_more_vert_white_48dp.png);
    background-size: contain;
    margin: 16px;
    position: absolute;
    right: 0;
  }
  .nav .default-nav .main-nav .options:hover {
    cursor: pointer;
  }
  .nav .default-nav .main-nav .main-nav-item {
    float: left;
    height: 64px;
    margin-right: 50px;
    position: relative;
    line-height: 64px;
    -webkit-transition: 0.3s ease;
    transition: 0.3s ease;
  }
  .nav .default-nav .main-nav .main-nav-item .main-nav-item-link {
    display: block;
    position: relative;
    height: 64px;
    width: 100%;
    text-align: center;
    line-height: 64px;
    text-decoration: none;
    color: inherit;
    -webkit-transition: 0.3s ease;
    transition: 0.3s ease;
  }
  
  .bottom {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    height: 64px;
    background: #ffffff;
    /* box-shadow: 0px -3px 3px 0px rgba(50, 50, 50, 0.1); */
  }
  .bottom .input {
    height: 64px;
    background: #ffffff;
    border: none;
    width: calc(100% - 64px);
    position: absolute;
    left: 0;
    top: 0;
    padding: 0 5%;
    resize: none;
    overflow: scroll;
    padding-top: 24px;
    font-weight: 300;
    -ms-overflow-style: none;
    overflow: -moz-scrollbars-none;
  }
  .bottom .input:focus {
    outline: none;
  }
  .bottom .input::-webkit-scrollbar {
    width: 0 !important;
  }
  .bottom .send {
    position: fixed;
    height: 42.6666666667px;
    width: 42.6666666667px;
    border-radius: 50%;
    border: 0;
    background: #F44336;
    color: #ffffff;
    bottom: 10.6666666667px;
    right: 10.6666666667px;
  }
  .bottom .send:before {
    content: '';
    background: url(https://s3-us-west-2.amazonaws.com/s.cdpn.io/104946/ic_send_white_48dp.png) no-repeat center center;
    background-size: 25.6px;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
  }
  .bottom .send:focus {
    outline: none;
  }
  .bottom .send:hover {
    cursor: pointer;
  }
  
  .message-wrapper {
    position: relative;
    overflow: hidden;
    width: 100%;
    margin: 10.6666666667px 0;
    padding: 10.6666666667px 0;
  }
  .message-wrapper .circle-wrapper {
    height: 42.6666666667px;
    width: 42.6666666667px;
    border-radius: 50%;
  }
  .message-wrapper .text-wrapper {
    padding: 10.6666666667px;
    min-height: 42.6666666667px;
    width: 60%;
    margin: 0 10.6666666667px;
    box-shadow: 0px 1px 0px 0px rgba(50, 50, 50, 0.3);
    border-radius: 2px;
    font-weight: 300;
    position: relative;
    /* word-break: break-all; */
  }
  .message-wrapper .text-wrapper:before {
    content: '';
    width: 0;
    height: 0;
    border-style: solid;
  }
  .message-wrapper.them .circle-wrapper, .message-wrapper.them .text-wrapper {
    background: #F44336;
    float: left;
    color: #ffffff;
  }
  .message-wrapper.them .text-wrapper:before {
    border-width: 0 10px 10px 0;
    border-color: transparent #F44336 transparent transparent;
    position: absolute;
    top: 0;
    left: -9px;
  }
  .message-wrapper.me .circle-wrapper, .message-wrapper.me .text-wrapper {
    background: #FF5722;
    float: right;
    color: #333333;
  }
  .message-wrapper.me .text-wrapper {
    background: #ffffff;
  }
  .message-wrapper.me .text-wrapper:before {
    border-width: 10px 10px 0 0;
    border-color: #ffffff transparent transparent transparent;
    position: absolute;
    top: 0;
    right: -9px;
  }
  
  @media (max-width: 560px) {
    .wrapper {
      width: 100%;
      height: 100%;
      height: 100vh;
      top: 0;
      left: 0;
      -webkit-transform: translateX(0);
              transform: translateX(0);
    }
    .wrapper .inner {
      height: 100%;
      height: 100vh;
    }
  }
  body {font-family: Arial, Helvetica, sans-serif;}

/* The Modal (background) */
.modal {
  display: block;
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
  position: relative;
  background-color: #fefefe;
  margin: auto;
  padding: 0;
  border: 1px solid #888;
  width: 80%;
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
  -webkit-animation-name: animatetop;
  -webkit-animation-duration: 0.4s;
  animation-name: animatetop;
  animation-duration: 0.4s
}

/* Add Animation */
@-webkit-keyframes animatetop {
  from {top:-300px; opacity:0} 
  to {top:0; opacity:1}
}

@keyframes animatetop {
  from {top:-300px; opacity:0}
  to {top:0; opacity:1}
}

.modal-header {
  direction: rtl;
  padding: 2px 16px;
  background-color: #F44336;
  color: white;
}

.modal-body {padding: 2px 16px;}

.modal-footer {
  padding: 2px 16px;
  background-color: #F44336;
  color: white;
}

.User-Name-Input{
  margin-top: 10px;
  margin-bottom: 15px;
}
.img-loader{
width: 150px;
height: 150px;
}